Skip to main content
GET
List message templates
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form. Refer to Getting the Form ID for detailed instructions.

Query Parameters

template_type
enum<string>

Only return templates of this type.

Available options:
email,
sms
status
enum<string>

Only return templates with this status.

Available options:
active,
inactive
page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

Response

OK - Request succeeded

message_templates
object[]
pagination
object